<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://liferay.com/tld/aui" prefix="aui"%>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui"%>
<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme"%>
<%@page import="com.liferay.portal.kernel.portlet.LiferayWindowState"%>
<%@page import="com.liferay.portal.kernel.servlet.SessionErrors"%>
<%@ taglib uri="http://liferay.com/tld/portlet" prefix="liferay-portlet"%>

<portlet:defineObjects />
<liferay-theme:defineObjects />
<%
	String wpExplorerId = "workspaceexplorerportlet_WAR_workspaceexplorerportlet";
%>

<%
	if (SessionErrors.contains(renderRequest.getPortletSession(), "dataset-form-error")) {
%>
<liferay-ui:error key="dataset-form-error"
	message="Dataset experiment form submit had an issue, Please try again." />
<%
	}
%>

<portlet:actionURL var="addExperimentActionURL" windowState="maximized"
	name="addExperiment">
</portlet:actionURL>

<liferay-portlet:renderURL var="wpExplorerPopupURL"
	portletName="workspaceexplorerportlet_WAR_workspaceexplorerportlet"
	windowState="<%=LiferayWindowState.POP_UP.toString()%>">
</liferay-portlet:renderURL>

<portlet:renderURL var="maximizedState"
	windowState="<%=LiferayWindowState.MAXIMIZED.toString()%>" />
<portlet:renderURL var="normalState"
	windowState="<%=LiferayWindowState.NORMAL.toString()%>" />

<div id="ciccio"></div>
<c:set var="maximised" scope="session"
	value="${renderRequest.getWindowState().toString().equalsIgnoreCase('maximized')}" />

<c:choose>
	<c:when test="${not maximised}">
		<div style="width: 100%; text-align: center; color: #3B5998;">
			<a class="btn btn-link" href="${maximizedState}"><i
				class="icon icon-cloud-upload icon-3x"></i></a>
		</div>
	</c:when>
	<c:otherwise>
		<a class="btn btn-link  btn-large" href="${normalState}"><i
			class="icon icon-angle-left"></i>&nbsp;Back (Cancel)</a>
		<div
			style="width: 100%; text-align: left; padding: 10px; color: #3B5998;">
			<aui:form action="<%=addExperimentActionURL%>" method="post" name="fm">
				<aui:input name="method_name" label="Dataset/Method name" value=""
					required="true" style="width:90%;" />
				<aui:input type="textarea" rows="3" name="people_institutions"
					label="Involved people and or institutions" value=""
					required="true" style="width:90%;" />
				<aui:input type="textarea" rows="10" name="demo_tutorial"
					label="Description + Demo/Tutorial, 2 pages max" value=""
					required="true" style="width:90%;" />
				<a class="btn btn-primary"
					href="javascript:showWPPopup('<%=wpExplorerPopupURL%>');" style="margin: 10px 0;"><i
					class="icon-paper-clip icon-white"></i> Select file to attach</a>
				<div id="attachedFiles"></div>
				<aui:input name="experiment_tags" label="Keywords (Comma separated)"
					value="" required="false" style="width:90%;" />
				<aui:button-row>
					<a class="btn" href="${normalState}"><i class="icon-remove"></i>
						Cancel</a>
					<aui:button type="submit" value="Submit" />
				</aui:button-row>
				<p>Please note: depending on the number of attachments it could take some time (seconds) to submit the request.</p>
			</aui:form>
		</div>
	</c:otherwise>

</c:choose>



